> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Lista miljövariabler

GET https://api.elevenlabs.io/v1/convai/environment-variables

Lista alla miljövariabler för arbetsytan med valfri filtrering

Reference: https://elevenlabs.io/docs/api-reference/environment-variables/list

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Query parameters

- `cursor` (string, optional, nullable) — Pagineringens markör från föregående svar
- `page_size` (integer, optional, default: 100) — Antal objekt att returnera (1–100)
- `label` (string, optional, nullable) — Filtrera efter exakt etikettmatchning
- `environment` (string, optional, nullable) — Filtrera så att endast variabler som har denna miljö returneras. När detta anges innehåller values-dictionaryn i svaret endast denna miljö.
- `type` (enum, optional, nullable) — Filtrera efter variabeltyp
  - Allowed values: `string`, `secret`, `auth_connection`

## Response

### 200

Lyckat svar

- `environment_variables` (list of EnvironmentVariableResponse, required)
- `has_more` (boolean, required)
- `next_cursor` (string, optional, nullable)

## Errors

### 400 Bad Request Error

Ogiltigt miljöfilter

- `any`

### 422 Unprocessable Entity Error

Valideringsfel

- `detail` (list of ValidationError, optional)

## Types

### EnvironmentVariableResponse

- `label` (string, required)
- `created_at_unix_secs` (integer, required)
- `updated_at_unix_secs` (integer, required)
- `type` (enum, required)
  - Allowed values: `string`, `secret`, `auth_connection`
- `id` (string, required)
- `workspace_id` (string, required)
- `values` (EnvironmentVariableResponseValues, required)
- `created_by_user_id` (string, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### EnvironmentVariableResponseValues

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "environment_variables": [
    {
      "label": "string",
      "created_at_unix_secs": 1,
      "updated_at_unix_secs": 1,
      "type": "string",
      "id": "string",
      "workspace_id": "string",
      "values": {},
      "created_by_user_id": "string"
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/environment-variables"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/environment-variables';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/environment-variables"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/environment-variables")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/convai/environment-variables")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/convai/environment-variables');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/environment-variables");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/environment-variables")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```